# DPRL

DPRL is model used for creating GDPR-friendly open contracts that are transparent and auditable. DPRL comprises of the core model and an ODRL profile for GDPR.

| Data Subject Rights in GDPR  | Related ODRL Actions         | DPRL Proposed Actions |
| ---------------------------- | ---------------------------- | --------------------- |
| Right to information         | inform, read                 | access                |
| Right of subject access      | inform                       | access                |
| Right to rectification       | modify                       | rectify               |
| Right to erasure             | delete, uninstall            | erase                 |
| Right to remove the consent  | obtainConsent                | removeConsent         |
| Right to data portability    | move, transform              | port                  |
| Right to restrict access     | give, grantUse, reviewPolicy | restrict              |
| Right to object to procedure | -                            | object                |

VSCode: Language Support for RDF related language syntax

# Tools used

yarn global add bpmnlint
or
npm install -g bpmnlint

bpmnlint --init
bpmnlint model/rectify-bpmn.xml

# Important Links

The dissertation:
https://gogs.adaptcentre.ie/ensar/Ensar-Dissertation

DPRL model:
https://gogs.adaptcentre.ie/ensar/dprl
